sata_port_hardreset
Prev | Chapter 4. libata Library | Next

## Name

sata_port_hardreset — reset port via SATA phy reset

## Synopsis

`int sata_port_hardreset (` | struct ata_port * | ap,
| const unsigned long * | timing,
| unsigned long | deadline`)`;

## Arguments

`ap`

  port to reset

`timing`

  timing parameters { interval, duratinon, timeout } in msec

`deadline`

  deadline jiffies for the operation

## Description

SATA phy-reset host port using DET bits of SControl register.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
ata_std_softreset | Home | sata_std_hardreset